/**
 * Identity Domains API
 * Use the Identity Domains API to manage resources within an identity domain, for example, users, dynamic resource groups, groups, and identity providers. For information about managing resources within identity domains, see [Identity and Access Management (with identity domains)](https://docs.oracle.com/iaas/Content/Identity/home.htm). This REST API is SCIM compliant.
Use the table of contents and search tool to explore the Identity Domains API.
 * OpenAPI spec version: v1
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
import * as CreateApiKeyRequest from "./create-api-key-request";
export import CreateApiKeyRequest = CreateApiKeyRequest.CreateApiKeyRequest;
import * as CreateAuthTokenRequest from "./create-auth-token-request";
export import CreateAuthTokenRequest = CreateAuthTokenRequest.CreateAuthTokenRequest;
import * as CreateAuthenticationFactorsRemoverRequest from "./create-authentication-factors-remover-request";
export import CreateAuthenticationFactorsRemoverRequest = CreateAuthenticationFactorsRemoverRequest.CreateAuthenticationFactorsRemoverRequest;
import * as CreateCustomerSecretKeyRequest from "./create-customer-secret-key-request";
export import CreateCustomerSecretKeyRequest = CreateCustomerSecretKeyRequest.CreateCustomerSecretKeyRequest;
import * as CreateDynamicResourceGroupRequest from "./create-dynamic-resource-group-request";
export import CreateDynamicResourceGroupRequest = CreateDynamicResourceGroupRequest.CreateDynamicResourceGroupRequest;
import * as CreateGroupRequest from "./create-group-request";
export import CreateGroupRequest = CreateGroupRequest.CreateGroupRequest;
import * as CreateIdentityProviderRequest from "./create-identity-provider-request";
export import CreateIdentityProviderRequest = CreateIdentityProviderRequest.CreateIdentityProviderRequest;
import * as CreateMeRequest from "./create-me-request";
export import CreateMeRequest = CreateMeRequest.CreateMeRequest;
import * as CreateMyApiKeyRequest from "./create-my-api-key-request";
export import CreateMyApiKeyRequest = CreateMyApiKeyRequest.CreateMyApiKeyRequest;
import * as CreateMyAuthTokenRequest from "./create-my-auth-token-request";
export import CreateMyAuthTokenRequest = CreateMyAuthTokenRequest.CreateMyAuthTokenRequest;
import * as CreateMyAuthenticationFactorInitiatorRequest from "./create-my-authentication-factor-initiator-request";
export import CreateMyAuthenticationFactorInitiatorRequest = CreateMyAuthenticationFactorInitiatorRequest.CreateMyAuthenticationFactorInitiatorRequest;
import * as CreateMyAuthenticationFactorValidatorRequest from "./create-my-authentication-factor-validator-request";
export import CreateMyAuthenticationFactorValidatorRequest = CreateMyAuthenticationFactorValidatorRequest.CreateMyAuthenticationFactorValidatorRequest;
import * as CreateMyAuthenticationFactorsRemoverRequest from "./create-my-authentication-factors-remover-request";
export import CreateMyAuthenticationFactorsRemoverRequest = CreateMyAuthenticationFactorsRemoverRequest.CreateMyAuthenticationFactorsRemoverRequest;
import * as CreateMyCustomerSecretKeyRequest from "./create-my-customer-secret-key-request";
export import CreateMyCustomerSecretKeyRequest = CreateMyCustomerSecretKeyRequest.CreateMyCustomerSecretKeyRequest;
import * as CreateMyOAuth2ClientCredentialRequest from "./create-my-oauth2-client-credential-request";
export import CreateMyOAuth2ClientCredentialRequest = CreateMyOAuth2ClientCredentialRequest.CreateMyOAuth2ClientCredentialRequest;
import * as CreateMySmtpCredentialRequest from "./create-my-smtp-credential-request";
export import CreateMySmtpCredentialRequest = CreateMySmtpCredentialRequest.CreateMySmtpCredentialRequest;
import * as CreateMySupportAccountRequest from "./create-my-support-account-request";
export import CreateMySupportAccountRequest = CreateMySupportAccountRequest.CreateMySupportAccountRequest;
import * as CreateMyUserDbCredentialRequest from "./create-my-user-db-credential-request";
export import CreateMyUserDbCredentialRequest = CreateMyUserDbCredentialRequest.CreateMyUserDbCredentialRequest;
import * as CreateOAuth2ClientCredentialRequest from "./create-oauth2-client-credential-request";
export import CreateOAuth2ClientCredentialRequest = CreateOAuth2ClientCredentialRequest.CreateOAuth2ClientCredentialRequest;
import * as CreatePasswordPolicyRequest from "./create-password-policy-request";
export import CreatePasswordPolicyRequest = CreatePasswordPolicyRequest.CreatePasswordPolicyRequest;
import * as CreateSmtpCredentialRequest from "./create-smtp-credential-request";
export import CreateSmtpCredentialRequest = CreateSmtpCredentialRequest.CreateSmtpCredentialRequest;
import * as CreateUserRequest from "./create-user-request";
export import CreateUserRequest = CreateUserRequest.CreateUserRequest;
import * as CreateUserDbCredentialRequest from "./create-user-db-credential-request";
export import CreateUserDbCredentialRequest = CreateUserDbCredentialRequest.CreateUserDbCredentialRequest;
import * as DeleteApiKeyRequest from "./delete-api-key-request";
export import DeleteApiKeyRequest = DeleteApiKeyRequest.DeleteApiKeyRequest;
import * as DeleteAuthTokenRequest from "./delete-auth-token-request";
export import DeleteAuthTokenRequest = DeleteAuthTokenRequest.DeleteAuthTokenRequest;
import * as DeleteCustomerSecretKeyRequest from "./delete-customer-secret-key-request";
export import DeleteCustomerSecretKeyRequest = DeleteCustomerSecretKeyRequest.DeleteCustomerSecretKeyRequest;
import * as DeleteDynamicResourceGroupRequest from "./delete-dynamic-resource-group-request";
export import DeleteDynamicResourceGroupRequest = DeleteDynamicResourceGroupRequest.DeleteDynamicResourceGroupRequest;
import * as DeleteGroupRequest from "./delete-group-request";
export import DeleteGroupRequest = DeleteGroupRequest.DeleteGroupRequest;
import * as DeleteIdentityProviderRequest from "./delete-identity-provider-request";
export import DeleteIdentityProviderRequest = DeleteIdentityProviderRequest.DeleteIdentityProviderRequest;
import * as DeleteMyApiKeyRequest from "./delete-my-api-key-request";
export import DeleteMyApiKeyRequest = DeleteMyApiKeyRequest.DeleteMyApiKeyRequest;
import * as DeleteMyAuthTokenRequest from "./delete-my-auth-token-request";
export import DeleteMyAuthTokenRequest = DeleteMyAuthTokenRequest.DeleteMyAuthTokenRequest;
import * as DeleteMyCustomerSecretKeyRequest from "./delete-my-customer-secret-key-request";
export import DeleteMyCustomerSecretKeyRequest = DeleteMyCustomerSecretKeyRequest.DeleteMyCustomerSecretKeyRequest;
import * as DeleteMyDeviceRequest from "./delete-my-device-request";
export import DeleteMyDeviceRequest = DeleteMyDeviceRequest.DeleteMyDeviceRequest;
import * as DeleteMyOAuth2ClientCredentialRequest from "./delete-my-oauth2-client-credential-request";
export import DeleteMyOAuth2ClientCredentialRequest = DeleteMyOAuth2ClientCredentialRequest.DeleteMyOAuth2ClientCredentialRequest;
import * as DeleteMySmtpCredentialRequest from "./delete-my-smtp-credential-request";
export import DeleteMySmtpCredentialRequest = DeleteMySmtpCredentialRequest.DeleteMySmtpCredentialRequest;
import * as DeleteMySupportAccountRequest from "./delete-my-support-account-request";
export import DeleteMySupportAccountRequest = DeleteMySupportAccountRequest.DeleteMySupportAccountRequest;
import * as DeleteMyTrustedUserAgentRequest from "./delete-my-trusted-user-agent-request";
export import DeleteMyTrustedUserAgentRequest = DeleteMyTrustedUserAgentRequest.DeleteMyTrustedUserAgentRequest;
import * as DeleteMyUserDbCredentialRequest from "./delete-my-user-db-credential-request";
export import DeleteMyUserDbCredentialRequest = DeleteMyUserDbCredentialRequest.DeleteMyUserDbCredentialRequest;
import * as DeleteOAuth2ClientCredentialRequest from "./delete-oauth2-client-credential-request";
export import DeleteOAuth2ClientCredentialRequest = DeleteOAuth2ClientCredentialRequest.DeleteOAuth2ClientCredentialRequest;
import * as DeletePasswordPolicyRequest from "./delete-password-policy-request";
export import DeletePasswordPolicyRequest = DeletePasswordPolicyRequest.DeletePasswordPolicyRequest;
import * as DeleteSmtpCredentialRequest from "./delete-smtp-credential-request";
export import DeleteSmtpCredentialRequest = DeleteSmtpCredentialRequest.DeleteSmtpCredentialRequest;
import * as DeleteUserRequest from "./delete-user-request";
export import DeleteUserRequest = DeleteUserRequest.DeleteUserRequest;
import * as DeleteUserDbCredentialRequest from "./delete-user-db-credential-request";
export import DeleteUserDbCredentialRequest = DeleteUserDbCredentialRequest.DeleteUserDbCredentialRequest;
import * as GetApiKeyRequest from "./get-api-key-request";
export import GetApiKeyRequest = GetApiKeyRequest.GetApiKeyRequest;
import * as GetAuthTokenRequest from "./get-auth-token-request";
export import GetAuthTokenRequest = GetAuthTokenRequest.GetAuthTokenRequest;
import * as GetAuthenticationFactorSettingRequest from "./get-authentication-factor-setting-request";
export import GetAuthenticationFactorSettingRequest = GetAuthenticationFactorSettingRequest.GetAuthenticationFactorSettingRequest;
import * as GetCustomerSecretKeyRequest from "./get-customer-secret-key-request";
export import GetCustomerSecretKeyRequest = GetCustomerSecretKeyRequest.GetCustomerSecretKeyRequest;
import * as GetDynamicResourceGroupRequest from "./get-dynamic-resource-group-request";
export import GetDynamicResourceGroupRequest = GetDynamicResourceGroupRequest.GetDynamicResourceGroupRequest;
import * as GetGroupRequest from "./get-group-request";
export import GetGroupRequest = GetGroupRequest.GetGroupRequest;
import * as GetIdentityProviderRequest from "./get-identity-provider-request";
export import GetIdentityProviderRequest = GetIdentityProviderRequest.GetIdentityProviderRequest;
import * as GetKmsiSettingRequest from "./get-kmsi-setting-request";
export import GetKmsiSettingRequest = GetKmsiSettingRequest.GetKmsiSettingRequest;
import * as GetMeRequest from "./get-me-request";
export import GetMeRequest = GetMeRequest.GetMeRequest;
import * as GetMyApiKeyRequest from "./get-my-api-key-request";
export import GetMyApiKeyRequest = GetMyApiKeyRequest.GetMyApiKeyRequest;
import * as GetMyAuthTokenRequest from "./get-my-auth-token-request";
export import GetMyAuthTokenRequest = GetMyAuthTokenRequest.GetMyAuthTokenRequest;
import * as GetMyCustomerSecretKeyRequest from "./get-my-customer-secret-key-request";
export import GetMyCustomerSecretKeyRequest = GetMyCustomerSecretKeyRequest.GetMyCustomerSecretKeyRequest;
import * as GetMyDeviceRequest from "./get-my-device-request";
export import GetMyDeviceRequest = GetMyDeviceRequest.GetMyDeviceRequest;
import * as GetMyOAuth2ClientCredentialRequest from "./get-my-oauth2-client-credential-request";
export import GetMyOAuth2ClientCredentialRequest = GetMyOAuth2ClientCredentialRequest.GetMyOAuth2ClientCredentialRequest;
import * as GetMySmtpCredentialRequest from "./get-my-smtp-credential-request";
export import GetMySmtpCredentialRequest = GetMySmtpCredentialRequest.GetMySmtpCredentialRequest;
import * as GetMySupportAccountRequest from "./get-my-support-account-request";
export import GetMySupportAccountRequest = GetMySupportAccountRequest.GetMySupportAccountRequest;
import * as GetMyTrustedUserAgentRequest from "./get-my-trusted-user-agent-request";
export import GetMyTrustedUserAgentRequest = GetMyTrustedUserAgentRequest.GetMyTrustedUserAgentRequest;
import * as GetMyUserDbCredentialRequest from "./get-my-user-db-credential-request";
export import GetMyUserDbCredentialRequest = GetMyUserDbCredentialRequest.GetMyUserDbCredentialRequest;
import * as GetOAuth2ClientCredentialRequest from "./get-oauth2-client-credential-request";
export import GetOAuth2ClientCredentialRequest = GetOAuth2ClientCredentialRequest.GetOAuth2ClientCredentialRequest;
import * as GetPasswordPolicyRequest from "./get-password-policy-request";
export import GetPasswordPolicyRequest = GetPasswordPolicyRequest.GetPasswordPolicyRequest;
import * as GetSmtpCredentialRequest from "./get-smtp-credential-request";
export import GetSmtpCredentialRequest = GetSmtpCredentialRequest.GetSmtpCredentialRequest;
import * as GetUserRequest from "./get-user-request";
export import GetUserRequest = GetUserRequest.GetUserRequest;
import * as GetUserDbCredentialRequest from "./get-user-db-credential-request";
export import GetUserDbCredentialRequest = GetUserDbCredentialRequest.GetUserDbCredentialRequest;
import * as ListApiKeysRequest from "./list-api-keys-request";
export import ListApiKeysRequest = ListApiKeysRequest.ListApiKeysRequest;
import * as ListAuthTokensRequest from "./list-auth-tokens-request";
export import ListAuthTokensRequest = ListAuthTokensRequest.ListAuthTokensRequest;
import * as ListAuthenticationFactorSettingsRequest from "./list-authentication-factor-settings-request";
export import ListAuthenticationFactorSettingsRequest = ListAuthenticationFactorSettingsRequest.ListAuthenticationFactorSettingsRequest;
import * as ListCustomerSecretKeysRequest from "./list-customer-secret-keys-request";
export import ListCustomerSecretKeysRequest = ListCustomerSecretKeysRequest.ListCustomerSecretKeysRequest;
import * as ListDynamicResourceGroupsRequest from "./list-dynamic-resource-groups-request";
export import ListDynamicResourceGroupsRequest = ListDynamicResourceGroupsRequest.ListDynamicResourceGroupsRequest;
import * as ListGroupsRequest from "./list-groups-request";
export import ListGroupsRequest = ListGroupsRequest.ListGroupsRequest;
import * as ListIdentityProvidersRequest from "./list-identity-providers-request";
export import ListIdentityProvidersRequest = ListIdentityProvidersRequest.ListIdentityProvidersRequest;
import * as ListKmsiSettingsRequest from "./list-kmsi-settings-request";
export import ListKmsiSettingsRequest = ListKmsiSettingsRequest.ListKmsiSettingsRequest;
import * as ListMyApiKeysRequest from "./list-my-api-keys-request";
export import ListMyApiKeysRequest = ListMyApiKeysRequest.ListMyApiKeysRequest;
import * as ListMyAuthTokensRequest from "./list-my-auth-tokens-request";
export import ListMyAuthTokensRequest = ListMyAuthTokensRequest.ListMyAuthTokensRequest;
import * as ListMyCustomerSecretKeysRequest from "./list-my-customer-secret-keys-request";
export import ListMyCustomerSecretKeysRequest = ListMyCustomerSecretKeysRequest.ListMyCustomerSecretKeysRequest;
import * as ListMyDevicesRequest from "./list-my-devices-request";
export import ListMyDevicesRequest = ListMyDevicesRequest.ListMyDevicesRequest;
import * as ListMyGroupsRequest from "./list-my-groups-request";
export import ListMyGroupsRequest = ListMyGroupsRequest.ListMyGroupsRequest;
import * as ListMyOAuth2ClientCredentialsRequest from "./list-my-oauth2-client-credentials-request";
export import ListMyOAuth2ClientCredentialsRequest = ListMyOAuth2ClientCredentialsRequest.ListMyOAuth2ClientCredentialsRequest;
import * as ListMySmtpCredentialsRequest from "./list-my-smtp-credentials-request";
export import ListMySmtpCredentialsRequest = ListMySmtpCredentialsRequest.ListMySmtpCredentialsRequest;
import * as ListMySupportAccountsRequest from "./list-my-support-accounts-request";
export import ListMySupportAccountsRequest = ListMySupportAccountsRequest.ListMySupportAccountsRequest;
import * as ListMyTrustedUserAgentsRequest from "./list-my-trusted-user-agents-request";
export import ListMyTrustedUserAgentsRequest = ListMyTrustedUserAgentsRequest.ListMyTrustedUserAgentsRequest;
import * as ListMyUserDbCredentialsRequest from "./list-my-user-db-credentials-request";
export import ListMyUserDbCredentialsRequest = ListMyUserDbCredentialsRequest.ListMyUserDbCredentialsRequest;
import * as ListOAuth2ClientCredentialsRequest from "./list-oauth2-client-credentials-request";
export import ListOAuth2ClientCredentialsRequest = ListOAuth2ClientCredentialsRequest.ListOAuth2ClientCredentialsRequest;
import * as ListPasswordPoliciesRequest from "./list-password-policies-request";
export import ListPasswordPoliciesRequest = ListPasswordPoliciesRequest.ListPasswordPoliciesRequest;
import * as ListSmtpCredentialsRequest from "./list-smtp-credentials-request";
export import ListSmtpCredentialsRequest = ListSmtpCredentialsRequest.ListSmtpCredentialsRequest;
import * as ListUserDbCredentialsRequest from "./list-user-db-credentials-request";
export import ListUserDbCredentialsRequest = ListUserDbCredentialsRequest.ListUserDbCredentialsRequest;
import * as ListUsersRequest from "./list-users-request";
export import ListUsersRequest = ListUsersRequest.ListUsersRequest;
import * as PatchApiKeyRequest from "./patch-api-key-request";
export import PatchApiKeyRequest = PatchApiKeyRequest.PatchApiKeyRequest;
import * as PatchAuthTokenRequest from "./patch-auth-token-request";
export import PatchAuthTokenRequest = PatchAuthTokenRequest.PatchAuthTokenRequest;
import * as PatchCustomerSecretKeyRequest from "./patch-customer-secret-key-request";
export import PatchCustomerSecretKeyRequest = PatchCustomerSecretKeyRequest.PatchCustomerSecretKeyRequest;
import * as PatchDynamicResourceGroupRequest from "./patch-dynamic-resource-group-request";
export import PatchDynamicResourceGroupRequest = PatchDynamicResourceGroupRequest.PatchDynamicResourceGroupRequest;
import * as PatchGroupRequest from "./patch-group-request";
export import PatchGroupRequest = PatchGroupRequest.PatchGroupRequest;
import * as PatchIdentityProviderRequest from "./patch-identity-provider-request";
export import PatchIdentityProviderRequest = PatchIdentityProviderRequest.PatchIdentityProviderRequest;
import * as PatchKmsiSettingRequest from "./patch-kmsi-setting-request";
export import PatchKmsiSettingRequest = PatchKmsiSettingRequest.PatchKmsiSettingRequest;
import * as PatchMeRequest from "./patch-me-request";
export import PatchMeRequest = PatchMeRequest.PatchMeRequest;
import * as PatchMyApiKeyRequest from "./patch-my-api-key-request";
export import PatchMyApiKeyRequest = PatchMyApiKeyRequest.PatchMyApiKeyRequest;
import * as PatchMyAuthTokenRequest from "./patch-my-auth-token-request";
export import PatchMyAuthTokenRequest = PatchMyAuthTokenRequest.PatchMyAuthTokenRequest;
import * as PatchMyCustomerSecretKeyRequest from "./patch-my-customer-secret-key-request";
export import PatchMyCustomerSecretKeyRequest = PatchMyCustomerSecretKeyRequest.PatchMyCustomerSecretKeyRequest;
import * as PatchMyDeviceRequest from "./patch-my-device-request";
export import PatchMyDeviceRequest = PatchMyDeviceRequest.PatchMyDeviceRequest;
import * as PatchMyOAuth2ClientCredentialRequest from "./patch-my-oauth2-client-credential-request";
export import PatchMyOAuth2ClientCredentialRequest = PatchMyOAuth2ClientCredentialRequest.PatchMyOAuth2ClientCredentialRequest;
import * as PatchMySmtpCredentialRequest from "./patch-my-smtp-credential-request";
export import PatchMySmtpCredentialRequest = PatchMySmtpCredentialRequest.PatchMySmtpCredentialRequest;
import * as PatchOAuth2ClientCredentialRequest from "./patch-oauth2-client-credential-request";
export import PatchOAuth2ClientCredentialRequest = PatchOAuth2ClientCredentialRequest.PatchOAuth2ClientCredentialRequest;
import * as PatchPasswordPolicyRequest from "./patch-password-policy-request";
export import PatchPasswordPolicyRequest = PatchPasswordPolicyRequest.PatchPasswordPolicyRequest;
import * as PatchSmtpCredentialRequest from "./patch-smtp-credential-request";
export import PatchSmtpCredentialRequest = PatchSmtpCredentialRequest.PatchSmtpCredentialRequest;
import * as PatchUserRequest from "./patch-user-request";
export import PatchUserRequest = PatchUserRequest.PatchUserRequest;
import * as PutAuthenticationFactorSettingRequest from "./put-authentication-factor-setting-request";
export import PutAuthenticationFactorSettingRequest = PutAuthenticationFactorSettingRequest.PutAuthenticationFactorSettingRequest;
import * as PutDynamicResourceGroupRequest from "./put-dynamic-resource-group-request";
export import PutDynamicResourceGroupRequest = PutDynamicResourceGroupRequest.PutDynamicResourceGroupRequest;
import * as PutGroupRequest from "./put-group-request";
export import PutGroupRequest = PutGroupRequest.PutGroupRequest;
import * as PutIdentityProviderRequest from "./put-identity-provider-request";
export import PutIdentityProviderRequest = PutIdentityProviderRequest.PutIdentityProviderRequest;
import * as PutKmsiSettingRequest from "./put-kmsi-setting-request";
export import PutKmsiSettingRequest = PutKmsiSettingRequest.PutKmsiSettingRequest;
import * as PutMeRequest from "./put-me-request";
export import PutMeRequest = PutMeRequest.PutMeRequest;
import * as PutMePasswordChangerRequest from "./put-me-password-changer-request";
export import PutMePasswordChangerRequest = PutMePasswordChangerRequest.PutMePasswordChangerRequest;
import * as PutPasswordPolicyRequest from "./put-password-policy-request";
export import PutPasswordPolicyRequest = PutPasswordPolicyRequest.PutPasswordPolicyRequest;
import * as PutUserRequest from "./put-user-request";
export import PutUserRequest = PutUserRequest.PutUserRequest;
import * as PutUserCapabilitiesChangerRequest from "./put-user-capabilities-changer-request";
export import PutUserCapabilitiesChangerRequest = PutUserCapabilitiesChangerRequest.PutUserCapabilitiesChangerRequest;
import * as PutUserPasswordChangerRequest from "./put-user-password-changer-request";
export import PutUserPasswordChangerRequest = PutUserPasswordChangerRequest.PutUserPasswordChangerRequest;
import * as PutUserPasswordResetterRequest from "./put-user-password-resetter-request";
export import PutUserPasswordResetterRequest = PutUserPasswordResetterRequest.PutUserPasswordResetterRequest;
import * as PutUserStatusChangerRequest from "./put-user-status-changer-request";
export import PutUserStatusChangerRequest = PutUserStatusChangerRequest.PutUserStatusChangerRequest;
import * as SearchApiKeysRequest from "./search-api-keys-request";
export import SearchApiKeysRequest = SearchApiKeysRequest.SearchApiKeysRequest;
import * as SearchAuthTokensRequest from "./search-auth-tokens-request";
export import SearchAuthTokensRequest = SearchAuthTokensRequest.SearchAuthTokensRequest;
import * as SearchAuthenticationFactorSettingsRequest from "./search-authentication-factor-settings-request";
export import SearchAuthenticationFactorSettingsRequest = SearchAuthenticationFactorSettingsRequest.SearchAuthenticationFactorSettingsRequest;
import * as SearchCustomerSecretKeysRequest from "./search-customer-secret-keys-request";
export import SearchCustomerSecretKeysRequest = SearchCustomerSecretKeysRequest.SearchCustomerSecretKeysRequest;
import * as SearchDynamicResourceGroupsRequest from "./search-dynamic-resource-groups-request";
export import SearchDynamicResourceGroupsRequest = SearchDynamicResourceGroupsRequest.SearchDynamicResourceGroupsRequest;
import * as SearchGroupsRequest from "./search-groups-request";
export import SearchGroupsRequest = SearchGroupsRequest.SearchGroupsRequest;
import * as SearchIdentityProvidersRequest from "./search-identity-providers-request";
export import SearchIdentityProvidersRequest = SearchIdentityProvidersRequest.SearchIdentityProvidersRequest;
import * as SearchKmsiSettingsRequest from "./search-kmsi-settings-request";
export import SearchKmsiSettingsRequest = SearchKmsiSettingsRequest.SearchKmsiSettingsRequest;
import * as SearchMyGroupsRequest from "./search-my-groups-request";
export import SearchMyGroupsRequest = SearchMyGroupsRequest.SearchMyGroupsRequest;
import * as SearchOAuth2ClientCredentialsRequest from "./search-oauth2-client-credentials-request";
export import SearchOAuth2ClientCredentialsRequest = SearchOAuth2ClientCredentialsRequest.SearchOAuth2ClientCredentialsRequest;
import * as SearchPasswordPoliciesRequest from "./search-password-policies-request";
export import SearchPasswordPoliciesRequest = SearchPasswordPoliciesRequest.SearchPasswordPoliciesRequest;
import * as SearchSmtpCredentialsRequest from "./search-smtp-credentials-request";
export import SearchSmtpCredentialsRequest = SearchSmtpCredentialsRequest.SearchSmtpCredentialsRequest;
import * as SearchUserDbCredentialsRequest from "./search-user-db-credentials-request";
export import SearchUserDbCredentialsRequest = SearchUserDbCredentialsRequest.SearchUserDbCredentialsRequest;
import * as SearchUsersRequest from "./search-users-request";
export import SearchUsersRequest = SearchUsersRequest.SearchUsersRequest;
