"use strict";
/**
 * OS Management Hub API
 * Use the OS Management Hub API to manage and monitor updates and patches for the operating system environments in your private data centers through a single management console. For more information, see [Overview of OS Management Hub](https://docs.cloud.oracle.com/iaas/osmh/doc/overview.htm).
Use the table of contents and search tool to explore the  OS Management Hub API.

 * OpenAPI spec version: 20220901
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LifecycleStage = exports.LifecycleEnvironmentSummary = exports.LifecycleEnvironmentDetails = exports.LifecycleEnvironmentCollection = exports.LifecycleEnvironment = exports.InstalledPackageCollection = exports.InstallPackagesOnManagedInstanceGroupDetails = exports.InstallPackagesOnManagedInstanceDetails = exports.InstallModuleStreamProfileOnManagedInstanceGroupDetails = exports.InstallModuleStreamProfileOnManagedInstanceDetails = exports.Id = exports.FilterType = exports.ErratumSummary = exports.ErratumCollection = exports.Erratum = exports.EntitlementSummary = exports.EntitlementCollection = exports.EnableModuleStreamOnManagedInstanceGroupDetails = exports.EnableModuleStreamOnManagedInstanceDetails = exports.DisableModuleStreamOnManagedInstanceGroupDetails = exports.DisableModuleStreamOnManagedInstanceDetails = exports.DetachSoftwareSourcesFromManagedInstanceGroupDetails = exports.DetachSoftwareSourcesFromManagedInstanceDetails = exports.DetachManagedInstancesFromManagedInstanceGroupDetails = exports.DetachManagedInstancesFromLifecycleStageDetails = exports.CustomSoftwareSourceFilter = exports.CreateSoftwareSourceDetails = exports.CreateScheduledJobDetails = exports.CreateProxyConfigurationDetails = exports.CreateProfileDetails = exports.CreateMirrorConfigurationDetails = exports.CreateManagementStationDetails = exports.CreateManagedInstanceGroupDetails = exports.CreateLifecycleStageDetails = exports.CreateLifecycleEnvironmentDetails = exports.CreateEntitlementDetails = exports.ClassificationTypes = exports.ChecksumType = exports.ChangeAvailabilityOfSoftwareSourcesDetails = exports.AvailableSoftwareSourceSummary = exports.AvailableSoftwareSourceCollection = exports.AvailablePackageCollection = exports.Availability = exports.AttachSoftwareSourcesToManagedInstanceGroupDetails = exports.AttachSoftwareSourcesToManagedInstanceDetails = exports.AttachManagedInstancesToManagedInstanceGroupDetails = exports.AttachManagedInstancesToLifecycleStageDetails = exports.ArchType = exports.AdvisorySeverity = exports.ActionType = void 0;
exports.ModuleStreamProfileCollection = exports.ModuleStreamProfile = exports.ModuleStreamDetailsBody = exports.ModuleStreamDetails = exports.ModuleStreamCollection = exports.ModuleStream = exports.ModuleSpecDetails = exports.ModuleCollection = exports.MirrorsCollection = exports.MirrorType = exports.MirrorSyncStatus = exports.MirrorSummary = exports.MirrorState = exports.MirrorConfiguration = exports.MetricName = exports.ManagementStationSummary = exports.ManagementStationDetails = exports.ManagementStationCollection = exports.ManagementStation = exports.ManagedInstancesDetails = exports.ManagedInstanceSummary = exports.ManagedInstanceStatus = exports.ManagedInstanceModuleSummary = exports.ManagedInstanceModuleCollection = exports.ManagedInstanceLocation = exports.ManagedInstanceGroupSummary = exports.ManagedInstanceGroupModuleSummary = exports.ManagedInstanceGroupModuleCollection = exports.ManagedInstanceGroupInstalledPackageSummary = exports.ManagedInstanceGroupInstalledPackageCollection = exports.ManagedInstanceGroupDetails = exports.ManagedInstanceGroupCollection = exports.ManagedInstanceGroupAvailablePackageSummary = exports.ManagedInstanceGroupAvailablePackageCollection = exports.ManagedInstanceGroupAvailableModuleSummary = exports.ManagedInstanceGroupAvailableModuleCollection = exports.ManagedInstanceGroup = exports.ManagedInstanceErratumSummaryCollection = exports.ManagedInstanceErratumSummary = exports.ManagedInstanceDetails = exports.ManagedInstanceCollection = exports.ManagedInstanceAnalyticSummary = exports.ManagedInstanceAnalyticCollection = exports.ManagedInstance = exports.ManageModuleStreamsOnManagedInstanceGroupDetails = exports.ManageModuleStreamsOnManagedInstanceDetails = exports.ManageModuleStreamsInScheduledJobDetails = exports.LifecycleStageSummary = exports.LifecycleStageDetails = exports.LifecycleStageCollection = void 0;
exports.SoftwareSourceVendorCollection = exports.SoftwareSourceType = exports.SoftwareSourceSummary = exports.SoftwareSourceDetails = exports.SoftwareSourceCollection = exports.SoftwareSourceAvailability = exports.SoftwareSource = exports.SoftwarePackagesDetails = exports.SoftwarePackageSummary = exports.SoftwarePackageFile = exports.SoftwarePackageDependency = exports.SoftwarePackageCollection = exports.SoftwarePackage = exports.SearchSoftwareSourcePackageGroupsDetails = exports.SearchSoftwareSourceModulesDetails = exports.SearchSoftwareSourceModuleStreamsDetails = exports.ScheduledJobSummary = exports.ScheduledJobOperation = exports.ScheduledJobCollection = exports.ScheduledJob = exports.ScheduleTypes = exports.RemovePackagesFromManagedInstanceGroupDetails = exports.RemovePackagesFromManagedInstanceDetails = exports.RemoveModuleStreamProfileFromManagedInstanceGroupDetails = exports.RemoveModuleStreamProfileFromManagedInstanceDetails = exports.ProxyConfiguration = exports.PromoteSoftwareSourceToLifecycleStageDetails = exports.ProfileType = exports.ProfileSummary = exports.ProfileCollection = exports.Profile = exports.PackageSummary = exports.PackageNameSummary = exports.PackageGroupSummary = exports.PackageGroupFilter = exports.PackageGroupCollection = exports.PackageGroup = exports.PackageFilter = exports.OverallState = exports.OsFamily = exports.OperationTypes = exports.OperationStatus = exports.ModuleSummary = exports.ModuleStreamSummary = exports.ModuleStreamStatus = exports.ModuleStreamProfileSummary = exports.ModuleStreamProfileStatus = exports.ModuleStreamProfileFilter = exports.ModuleStreamProfileDetailsBody = exports.ModuleStreamProfileDetails = void 0;
exports.UpdatablePackageSummary = exports.StationProfile = exports.SoftwareSourceProfile = exports.LifecycleProfile = exports.InstalledPackageSummary = exports.GroupProfile = exports.CustomSoftwareSourceSummary = exports.CustomSoftwareSource = exports.CreateVersionedCustomSoftwareSourceDetails = exports.CreateStationProfileDetails = exports.CreateSoftwareSourceProfileDetails = exports.CreateLifecycleProfileDetails = exports.CreateGroupProfileDetails = exports.CreateCustomSoftwareSourceDetails = exports.AvailablePackageSummary = exports.WorkRequestSummaryCollection = exports.WorkRequestSummary = exports.WorkRequestResourceMetadataKey = exports.WorkRequestResource = exports.WorkRequestOperationType = exports.WorkRequestManagementStationDetails = exports.WorkRequestLogEntryCollection = exports.WorkRequestLogEntry = exports.WorkRequestErrorCollection = exports.WorkRequestError = exports.WorkRequestDetails = exports.WorkRequest = exports.VendorName = exports.UpdateWorkRequestDetails = exports.UpdateTypes = exports.UpdateSoftwareSourceDetails = exports.UpdateScheduledJobDetails = exports.UpdateProxyConfigurationDetails = exports.UpdateProfileDetails = exports.UpdatePackagesOnManagedInstanceDetails = exports.UpdateMirrorConfigurationDetails = exports.UpdateManagementStationDetails = exports.UpdateManagedInstanceGroupDetails = exports.UpdateManagedInstanceDetails = exports.UpdateLifecycleStageDetails = exports.UpdateLifecycleEnvironmentDetails = exports.UpdateAllPackagesOnManagedInstancesInCompartmentDetails = exports.UpdateAllPackagesOnManagedInstanceGroupDetails = exports.UpdatablePackageCollection = exports.TargetResourceEntityType = exports.SynchronizeMirrorsDetails = exports.SwitchModuleStreamOnManagedInstanceDetails = exports.SortOrder = exports.SoftwareSourcesDetails = exports.SoftwareSourceVendorSummary = void 0;
exports.VersionedCustomSoftwareSourceSummary = exports.VersionedCustomSoftwareSource = exports.VendorSoftwareSourceSummary = exports.VendorSoftwareSource = exports.UpdateVendorSoftwareSourceDetails = exports.UpdateCustomSoftwareSourceDetails = void 0;
const ActionType = __importStar(require("./action-type"));
exports.ActionType = ActionType.ActionType;
const AdvisorySeverity = __importStar(require("./advisory-severity"));
exports.AdvisorySeverity = AdvisorySeverity.AdvisorySeverity;
const ArchType = __importStar(require("./arch-type"));
exports.ArchType = ArchType.ArchType;
const AttachManagedInstancesToLifecycleStageDetails = __importStar(require("./attach-managed-instances-to-lifecycle-stage-details"));
exports.AttachManagedInstancesToLifecycleStageDetails = AttachManagedInstancesToLifecycleStageDetails.AttachManagedInstancesToLifecycleStageDetails;
const AttachManagedInstancesToManagedInstanceGroupDetails = __importStar(require("./attach-managed-instances-to-managed-instance-group-details"));
exports.AttachManagedInstancesToManagedInstanceGroupDetails = AttachManagedInstancesToManagedInstanceGroupDetails.AttachManagedInstancesToManagedInstanceGroupDetails;
const AttachSoftwareSourcesToManagedInstanceDetails = __importStar(require("./attach-software-sources-to-managed-instance-details"));
exports.AttachSoftwareSourcesToManagedInstanceDetails = AttachSoftwareSourcesToManagedInstanceDetails.AttachSoftwareSourcesToManagedInstanceDetails;
const AttachSoftwareSourcesToManagedInstanceGroupDetails = __importStar(require("./attach-software-sources-to-managed-instance-group-details"));
exports.AttachSoftwareSourcesToManagedInstanceGroupDetails = AttachSoftwareSourcesToManagedInstanceGroupDetails.AttachSoftwareSourcesToManagedInstanceGroupDetails;
const Availability = __importStar(require("./availability"));
exports.Availability = Availability.Availability;
const AvailablePackageCollection = __importStar(require("./available-package-collection"));
exports.AvailablePackageCollection = AvailablePackageCollection.AvailablePackageCollection;
const AvailableSoftwareSourceCollection = __importStar(require("./available-software-source-collection"));
exports.AvailableSoftwareSourceCollection = AvailableSoftwareSourceCollection.AvailableSoftwareSourceCollection;
const AvailableSoftwareSourceSummary = __importStar(require("./available-software-source-summary"));
exports.AvailableSoftwareSourceSummary = AvailableSoftwareSourceSummary.AvailableSoftwareSourceSummary;
const ChangeAvailabilityOfSoftwareSourcesDetails = __importStar(require("./change-availability-of-software-sources-details"));
exports.ChangeAvailabilityOfSoftwareSourcesDetails = ChangeAvailabilityOfSoftwareSourcesDetails.ChangeAvailabilityOfSoftwareSourcesDetails;
const ChecksumType = __importStar(require("./checksum-type"));
exports.ChecksumType = ChecksumType.ChecksumType;
const ClassificationTypes = __importStar(require("./classification-types"));
exports.ClassificationTypes = ClassificationTypes.ClassificationTypes;
const CreateEntitlementDetails = __importStar(require("./create-entitlement-details"));
exports.CreateEntitlementDetails = CreateEntitlementDetails.CreateEntitlementDetails;
const CreateLifecycleEnvironmentDetails = __importStar(require("./create-lifecycle-environment-details"));
exports.CreateLifecycleEnvironmentDetails = CreateLifecycleEnvironmentDetails.CreateLifecycleEnvironmentDetails;
const CreateLifecycleStageDetails = __importStar(require("./create-lifecycle-stage-details"));
exports.CreateLifecycleStageDetails = CreateLifecycleStageDetails.CreateLifecycleStageDetails;
const CreateManagedInstanceGroupDetails = __importStar(require("./create-managed-instance-group-details"));
exports.CreateManagedInstanceGroupDetails = CreateManagedInstanceGroupDetails.CreateManagedInstanceGroupDetails;
const CreateManagementStationDetails = __importStar(require("./create-management-station-details"));
exports.CreateManagementStationDetails = CreateManagementStationDetails.CreateManagementStationDetails;
const CreateMirrorConfigurationDetails = __importStar(require("./create-mirror-configuration-details"));
exports.CreateMirrorConfigurationDetails = CreateMirrorConfigurationDetails.CreateMirrorConfigurationDetails;
const CreateProfileDetails = __importStar(require("./create-profile-details"));
exports.CreateProfileDetails = CreateProfileDetails.CreateProfileDetails;
const CreateProxyConfigurationDetails = __importStar(require("./create-proxy-configuration-details"));
exports.CreateProxyConfigurationDetails = CreateProxyConfigurationDetails.CreateProxyConfigurationDetails;
const CreateScheduledJobDetails = __importStar(require("./create-scheduled-job-details"));
exports.CreateScheduledJobDetails = CreateScheduledJobDetails.CreateScheduledJobDetails;
const CreateSoftwareSourceDetails = __importStar(require("./create-software-source-details"));
exports.CreateSoftwareSourceDetails = CreateSoftwareSourceDetails.CreateSoftwareSourceDetails;
const CustomSoftwareSourceFilter = __importStar(require("./custom-software-source-filter"));
exports.CustomSoftwareSourceFilter = CustomSoftwareSourceFilter.CustomSoftwareSourceFilter;
const DetachManagedInstancesFromLifecycleStageDetails = __importStar(require("./detach-managed-instances-from-lifecycle-stage-details"));
exports.DetachManagedInstancesFromLifecycleStageDetails = DetachManagedInstancesFromLifecycleStageDetails.DetachManagedInstancesFromLifecycleStageDetails;
const DetachManagedInstancesFromManagedInstanceGroupDetails = __importStar(require("./detach-managed-instances-from-managed-instance-group-details"));
exports.DetachManagedInstancesFromManagedInstanceGroupDetails = DetachManagedInstancesFromManagedInstanceGroupDetails.DetachManagedInstancesFromManagedInstanceGroupDetails;
const DetachSoftwareSourcesFromManagedInstanceDetails = __importStar(require("./detach-software-sources-from-managed-instance-details"));
exports.DetachSoftwareSourcesFromManagedInstanceDetails = DetachSoftwareSourcesFromManagedInstanceDetails.DetachSoftwareSourcesFromManagedInstanceDetails;
const DetachSoftwareSourcesFromManagedInstanceGroupDetails = __importStar(require("./detach-software-sources-from-managed-instance-group-details"));
exports.DetachSoftwareSourcesFromManagedInstanceGroupDetails = DetachSoftwareSourcesFromManagedInstanceGroupDetails.DetachSoftwareSourcesFromManagedInstanceGroupDetails;
const DisableModuleStreamOnManagedInstanceDetails = __importStar(require("./disable-module-stream-on-managed-instance-details"));
exports.DisableModuleStreamOnManagedInstanceDetails = DisableModuleStreamOnManagedInstanceDetails.DisableModuleStreamOnManagedInstanceDetails;
const DisableModuleStreamOnManagedInstanceGroupDetails = __importStar(require("./disable-module-stream-on-managed-instance-group-details"));
exports.DisableModuleStreamOnManagedInstanceGroupDetails = DisableModuleStreamOnManagedInstanceGroupDetails.DisableModuleStreamOnManagedInstanceGroupDetails;
const EnableModuleStreamOnManagedInstanceDetails = __importStar(require("./enable-module-stream-on-managed-instance-details"));
exports.EnableModuleStreamOnManagedInstanceDetails = EnableModuleStreamOnManagedInstanceDetails.EnableModuleStreamOnManagedInstanceDetails;
const EnableModuleStreamOnManagedInstanceGroupDetails = __importStar(require("./enable-module-stream-on-managed-instance-group-details"));
exports.EnableModuleStreamOnManagedInstanceGroupDetails = EnableModuleStreamOnManagedInstanceGroupDetails.EnableModuleStreamOnManagedInstanceGroupDetails;
const EntitlementCollection = __importStar(require("./entitlement-collection"));
exports.EntitlementCollection = EntitlementCollection.EntitlementCollection;
const EntitlementSummary = __importStar(require("./entitlement-summary"));
exports.EntitlementSummary = EntitlementSummary.EntitlementSummary;
const Erratum = __importStar(require("./erratum"));
exports.Erratum = Erratum.Erratum;
const ErratumCollection = __importStar(require("./erratum-collection"));
exports.ErratumCollection = ErratumCollection.ErratumCollection;
const ErratumSummary = __importStar(require("./erratum-summary"));
exports.ErratumSummary = ErratumSummary.ErratumSummary;
const FilterType = __importStar(require("./filter-type"));
exports.FilterType = FilterType.FilterType;
const Id = __importStar(require("./id"));
exports.Id = Id.Id;
const InstallModuleStreamProfileOnManagedInstanceDetails = __importStar(require("./install-module-stream-profile-on-managed-instance-details"));
exports.InstallModuleStreamProfileOnManagedInstanceDetails = InstallModuleStreamProfileOnManagedInstanceDetails.InstallModuleStreamProfileOnManagedInstanceDetails;
const InstallModuleStreamProfileOnManagedInstanceGroupDetails = __importStar(require("./install-module-stream-profile-on-managed-instance-group-details"));
exports.InstallModuleStreamProfileOnManagedInstanceGroupDetails = InstallModuleStreamProfileOnManagedInstanceGroupDetails.InstallModuleStreamProfileOnManagedInstanceGroupDetails;
const InstallPackagesOnManagedInstanceDetails = __importStar(require("./install-packages-on-managed-instance-details"));
exports.InstallPackagesOnManagedInstanceDetails = InstallPackagesOnManagedInstanceDetails.InstallPackagesOnManagedInstanceDetails;
const InstallPackagesOnManagedInstanceGroupDetails = __importStar(require("./install-packages-on-managed-instance-group-details"));
exports.InstallPackagesOnManagedInstanceGroupDetails = InstallPackagesOnManagedInstanceGroupDetails.InstallPackagesOnManagedInstanceGroupDetails;
const InstalledPackageCollection = __importStar(require("./installed-package-collection"));
exports.InstalledPackageCollection = InstalledPackageCollection.InstalledPackageCollection;
const LifecycleEnvironment = __importStar(require("./lifecycle-environment"));
exports.LifecycleEnvironment = LifecycleEnvironment.LifecycleEnvironment;
const LifecycleEnvironmentCollection = __importStar(require("./lifecycle-environment-collection"));
exports.LifecycleEnvironmentCollection = LifecycleEnvironmentCollection.LifecycleEnvironmentCollection;
const LifecycleEnvironmentDetails = __importStar(require("./lifecycle-environment-details"));
exports.LifecycleEnvironmentDetails = LifecycleEnvironmentDetails.LifecycleEnvironmentDetails;
const LifecycleEnvironmentSummary = __importStar(require("./lifecycle-environment-summary"));
exports.LifecycleEnvironmentSummary = LifecycleEnvironmentSummary.LifecycleEnvironmentSummary;
const LifecycleStage = __importStar(require("./lifecycle-stage"));
exports.LifecycleStage = LifecycleStage.LifecycleStage;
const LifecycleStageCollection = __importStar(require("./lifecycle-stage-collection"));
exports.LifecycleStageCollection = LifecycleStageCollection.LifecycleStageCollection;
const LifecycleStageDetails = __importStar(require("./lifecycle-stage-details"));
exports.LifecycleStageDetails = LifecycleStageDetails.LifecycleStageDetails;
const LifecycleStageSummary = __importStar(require("./lifecycle-stage-summary"));
exports.LifecycleStageSummary = LifecycleStageSummary.LifecycleStageSummary;
const ManageModuleStreamsInScheduledJobDetails = __importStar(require("./manage-module-streams-in-scheduled-job-details"));
exports.ManageModuleStreamsInScheduledJobDetails = ManageModuleStreamsInScheduledJobDetails.ManageModuleStreamsInScheduledJobDetails;
const ManageModuleStreamsOnManagedInstanceDetails = __importStar(require("./manage-module-streams-on-managed-instance-details"));
exports.ManageModuleStreamsOnManagedInstanceDetails = ManageModuleStreamsOnManagedInstanceDetails.ManageModuleStreamsOnManagedInstanceDetails;
const ManageModuleStreamsOnManagedInstanceGroupDetails = __importStar(require("./manage-module-streams-on-managed-instance-group-details"));
exports.ManageModuleStreamsOnManagedInstanceGroupDetails = ManageModuleStreamsOnManagedInstanceGroupDetails.ManageModuleStreamsOnManagedInstanceGroupDetails;
const ManagedInstance = __importStar(require("./managed-instance"));
exports.ManagedInstance = ManagedInstance.ManagedInstance;
const ManagedInstanceAnalyticCollection = __importStar(require("./managed-instance-analytic-collection"));
exports.ManagedInstanceAnalyticCollection = ManagedInstanceAnalyticCollection.ManagedInstanceAnalyticCollection;
const ManagedInstanceAnalyticSummary = __importStar(require("./managed-instance-analytic-summary"));
exports.ManagedInstanceAnalyticSummary = ManagedInstanceAnalyticSummary.ManagedInstanceAnalyticSummary;
const ManagedInstanceCollection = __importStar(require("./managed-instance-collection"));
exports.ManagedInstanceCollection = ManagedInstanceCollection.ManagedInstanceCollection;
const ManagedInstanceDetails = __importStar(require("./managed-instance-details"));
exports.ManagedInstanceDetails = ManagedInstanceDetails.ManagedInstanceDetails;
const ManagedInstanceErratumSummary = __importStar(require("./managed-instance-erratum-summary"));
exports.ManagedInstanceErratumSummary = ManagedInstanceErratumSummary.ManagedInstanceErratumSummary;
const ManagedInstanceErratumSummaryCollection = __importStar(require("./managed-instance-erratum-summary-collection"));
exports.ManagedInstanceErratumSummaryCollection = ManagedInstanceErratumSummaryCollection.ManagedInstanceErratumSummaryCollection;
const ManagedInstanceGroup = __importStar(require("./managed-instance-group"));
exports.ManagedInstanceGroup = ManagedInstanceGroup.ManagedInstanceGroup;
const ManagedInstanceGroupAvailableModuleCollection = __importStar(require("./managed-instance-group-available-module-collection"));
exports.ManagedInstanceGroupAvailableModuleCollection = ManagedInstanceGroupAvailableModuleCollection.ManagedInstanceGroupAvailableModuleCollection;
const ManagedInstanceGroupAvailableModuleSummary = __importStar(require("./managed-instance-group-available-module-summary"));
exports.ManagedInstanceGroupAvailableModuleSummary = ManagedInstanceGroupAvailableModuleSummary.ManagedInstanceGroupAvailableModuleSummary;
const ManagedInstanceGroupAvailablePackageCollection = __importStar(require("./managed-instance-group-available-package-collection"));
exports.ManagedInstanceGroupAvailablePackageCollection = ManagedInstanceGroupAvailablePackageCollection.ManagedInstanceGroupAvailablePackageCollection;
const ManagedInstanceGroupAvailablePackageSummary = __importStar(require("./managed-instance-group-available-package-summary"));
exports.ManagedInstanceGroupAvailablePackageSummary = ManagedInstanceGroupAvailablePackageSummary.ManagedInstanceGroupAvailablePackageSummary;
const ManagedInstanceGroupCollection = __importStar(require("./managed-instance-group-collection"));
exports.ManagedInstanceGroupCollection = ManagedInstanceGroupCollection.ManagedInstanceGroupCollection;
const ManagedInstanceGroupDetails = __importStar(require("./managed-instance-group-details"));
exports.ManagedInstanceGroupDetails = ManagedInstanceGroupDetails.ManagedInstanceGroupDetails;
const ManagedInstanceGroupInstalledPackageCollection = __importStar(require("./managed-instance-group-installed-package-collection"));
exports.ManagedInstanceGroupInstalledPackageCollection = ManagedInstanceGroupInstalledPackageCollection.ManagedInstanceGroupInstalledPackageCollection;
const ManagedInstanceGroupInstalledPackageSummary = __importStar(require("./managed-instance-group-installed-package-summary"));
exports.ManagedInstanceGroupInstalledPackageSummary = ManagedInstanceGroupInstalledPackageSummary.ManagedInstanceGroupInstalledPackageSummary;
const ManagedInstanceGroupModuleCollection = __importStar(require("./managed-instance-group-module-collection"));
exports.ManagedInstanceGroupModuleCollection = ManagedInstanceGroupModuleCollection.ManagedInstanceGroupModuleCollection;
const ManagedInstanceGroupModuleSummary = __importStar(require("./managed-instance-group-module-summary"));
exports.ManagedInstanceGroupModuleSummary = ManagedInstanceGroupModuleSummary.ManagedInstanceGroupModuleSummary;
const ManagedInstanceGroupSummary = __importStar(require("./managed-instance-group-summary"));
exports.ManagedInstanceGroupSummary = ManagedInstanceGroupSummary.ManagedInstanceGroupSummary;
const ManagedInstanceLocation = __importStar(require("./managed-instance-location"));
exports.ManagedInstanceLocation = ManagedInstanceLocation.ManagedInstanceLocation;
const ManagedInstanceModuleCollection = __importStar(require("./managed-instance-module-collection"));
exports.ManagedInstanceModuleCollection = ManagedInstanceModuleCollection.ManagedInstanceModuleCollection;
const ManagedInstanceModuleSummary = __importStar(require("./managed-instance-module-summary"));
exports.ManagedInstanceModuleSummary = ManagedInstanceModuleSummary.ManagedInstanceModuleSummary;
const ManagedInstanceStatus = __importStar(require("./managed-instance-status"));
exports.ManagedInstanceStatus = ManagedInstanceStatus.ManagedInstanceStatus;
const ManagedInstanceSummary = __importStar(require("./managed-instance-summary"));
exports.ManagedInstanceSummary = ManagedInstanceSummary.ManagedInstanceSummary;
const ManagedInstancesDetails = __importStar(require("./managed-instances-details"));
exports.ManagedInstancesDetails = ManagedInstancesDetails.ManagedInstancesDetails;
const ManagementStation = __importStar(require("./management-station"));
exports.ManagementStation = ManagementStation.ManagementStation;
const ManagementStationCollection = __importStar(require("./management-station-collection"));
exports.ManagementStationCollection = ManagementStationCollection.ManagementStationCollection;
const ManagementStationDetails = __importStar(require("./management-station-details"));
exports.ManagementStationDetails = ManagementStationDetails.ManagementStationDetails;
const ManagementStationSummary = __importStar(require("./management-station-summary"));
exports.ManagementStationSummary = ManagementStationSummary.ManagementStationSummary;
const MetricName = __importStar(require("./metric-name"));
exports.MetricName = MetricName.MetricName;
const MirrorConfiguration = __importStar(require("./mirror-configuration"));
exports.MirrorConfiguration = MirrorConfiguration.MirrorConfiguration;
const MirrorState = __importStar(require("./mirror-state"));
exports.MirrorState = MirrorState.MirrorState;
const MirrorSummary = __importStar(require("./mirror-summary"));
exports.MirrorSummary = MirrorSummary.MirrorSummary;
const MirrorSyncStatus = __importStar(require("./mirror-sync-status"));
exports.MirrorSyncStatus = MirrorSyncStatus.MirrorSyncStatus;
const MirrorType = __importStar(require("./mirror-type"));
exports.MirrorType = MirrorType.MirrorType;
const MirrorsCollection = __importStar(require("./mirrors-collection"));
exports.MirrorsCollection = MirrorsCollection.MirrorsCollection;
const ModuleCollection = __importStar(require("./module-collection"));
exports.ModuleCollection = ModuleCollection.ModuleCollection;
const ModuleSpecDetails = __importStar(require("./module-spec-details"));
exports.ModuleSpecDetails = ModuleSpecDetails.ModuleSpecDetails;
const ModuleStream = __importStar(require("./module-stream"));
exports.ModuleStream = ModuleStream.ModuleStream;
const ModuleStreamCollection = __importStar(require("./module-stream-collection"));
exports.ModuleStreamCollection = ModuleStreamCollection.ModuleStreamCollection;
const ModuleStreamDetails = __importStar(require("./module-stream-details"));
exports.ModuleStreamDetails = ModuleStreamDetails.ModuleStreamDetails;
const ModuleStreamDetailsBody = __importStar(require("./module-stream-details-body"));
exports.ModuleStreamDetailsBody = ModuleStreamDetailsBody.ModuleStreamDetailsBody;
const ModuleStreamProfile = __importStar(require("./module-stream-profile"));
exports.ModuleStreamProfile = ModuleStreamProfile.ModuleStreamProfile;
const ModuleStreamProfileCollection = __importStar(require("./module-stream-profile-collection"));
exports.ModuleStreamProfileCollection = ModuleStreamProfileCollection.ModuleStreamProfileCollection;
const ModuleStreamProfileDetails = __importStar(require("./module-stream-profile-details"));
exports.ModuleStreamProfileDetails = ModuleStreamProfileDetails.ModuleStreamProfileDetails;
const ModuleStreamProfileDetailsBody = __importStar(require("./module-stream-profile-details-body"));
exports.ModuleStreamProfileDetailsBody = ModuleStreamProfileDetailsBody.ModuleStreamProfileDetailsBody;
const ModuleStreamProfileFilter = __importStar(require("./module-stream-profile-filter"));
exports.ModuleStreamProfileFilter = ModuleStreamProfileFilter.ModuleStreamProfileFilter;
const ModuleStreamProfileStatus = __importStar(require("./module-stream-profile-status"));
exports.ModuleStreamProfileStatus = ModuleStreamProfileStatus.ModuleStreamProfileStatus;
const ModuleStreamProfileSummary = __importStar(require("./module-stream-profile-summary"));
exports.ModuleStreamProfileSummary = ModuleStreamProfileSummary.ModuleStreamProfileSummary;
const ModuleStreamStatus = __importStar(require("./module-stream-status"));
exports.ModuleStreamStatus = ModuleStreamStatus.ModuleStreamStatus;
const ModuleStreamSummary = __importStar(require("./module-stream-summary"));
exports.ModuleStreamSummary = ModuleStreamSummary.ModuleStreamSummary;
const ModuleSummary = __importStar(require("./module-summary"));
exports.ModuleSummary = ModuleSummary.ModuleSummary;
const OperationStatus = __importStar(require("./operation-status"));
exports.OperationStatus = OperationStatus.OperationStatus;
const OperationTypes = __importStar(require("./operation-types"));
exports.OperationTypes = OperationTypes.OperationTypes;
const OsFamily = __importStar(require("./os-family"));
exports.OsFamily = OsFamily.OsFamily;
const OverallState = __importStar(require("./overall-state"));
exports.OverallState = OverallState.OverallState;
const PackageFilter = __importStar(require("./package-filter"));
exports.PackageFilter = PackageFilter.PackageFilter;
const PackageGroup = __importStar(require("./package-group"));
exports.PackageGroup = PackageGroup.PackageGroup;
const PackageGroupCollection = __importStar(require("./package-group-collection"));
exports.PackageGroupCollection = PackageGroupCollection.PackageGroupCollection;
const PackageGroupFilter = __importStar(require("./package-group-filter"));
exports.PackageGroupFilter = PackageGroupFilter.PackageGroupFilter;
const PackageGroupSummary = __importStar(require("./package-group-summary"));
exports.PackageGroupSummary = PackageGroupSummary.PackageGroupSummary;
const PackageNameSummary = __importStar(require("./package-name-summary"));
exports.PackageNameSummary = PackageNameSummary.PackageNameSummary;
const PackageSummary = __importStar(require("./package-summary"));
exports.PackageSummary = PackageSummary.PackageSummary;
const Profile = __importStar(require("./profile"));
exports.Profile = Profile.Profile;
const ProfileCollection = __importStar(require("./profile-collection"));
exports.ProfileCollection = ProfileCollection.ProfileCollection;
const ProfileSummary = __importStar(require("./profile-summary"));
exports.ProfileSummary = ProfileSummary.ProfileSummary;
const ProfileType = __importStar(require("./profile-type"));
exports.ProfileType = ProfileType.ProfileType;
const PromoteSoftwareSourceToLifecycleStageDetails = __importStar(require("./promote-software-source-to-lifecycle-stage-details"));
exports.PromoteSoftwareSourceToLifecycleStageDetails = PromoteSoftwareSourceToLifecycleStageDetails.PromoteSoftwareSourceToLifecycleStageDetails;
const ProxyConfiguration = __importStar(require("./proxy-configuration"));
exports.ProxyConfiguration = ProxyConfiguration.ProxyConfiguration;
const RemoveModuleStreamProfileFromManagedInstanceDetails = __importStar(require("./remove-module-stream-profile-from-managed-instance-details"));
exports.RemoveModuleStreamProfileFromManagedInstanceDetails = RemoveModuleStreamProfileFromManagedInstanceDetails.RemoveModuleStreamProfileFromManagedInstanceDetails;
const RemoveModuleStreamProfileFromManagedInstanceGroupDetails = __importStar(require("./remove-module-stream-profile-from-managed-instance-group-details"));
exports.RemoveModuleStreamProfileFromManagedInstanceGroupDetails = RemoveModuleStreamProfileFromManagedInstanceGroupDetails.RemoveModuleStreamProfileFromManagedInstanceGroupDetails;
const RemovePackagesFromManagedInstanceDetails = __importStar(require("./remove-packages-from-managed-instance-details"));
exports.RemovePackagesFromManagedInstanceDetails = RemovePackagesFromManagedInstanceDetails.RemovePackagesFromManagedInstanceDetails;
const RemovePackagesFromManagedInstanceGroupDetails = __importStar(require("./remove-packages-from-managed-instance-group-details"));
exports.RemovePackagesFromManagedInstanceGroupDetails = RemovePackagesFromManagedInstanceGroupDetails.RemovePackagesFromManagedInstanceGroupDetails;
const ScheduleTypes = __importStar(require("./schedule-types"));
exports.ScheduleTypes = ScheduleTypes.ScheduleTypes;
const ScheduledJob = __importStar(require("./scheduled-job"));
exports.ScheduledJob = ScheduledJob.ScheduledJob;
const ScheduledJobCollection = __importStar(require("./scheduled-job-collection"));
exports.ScheduledJobCollection = ScheduledJobCollection.ScheduledJobCollection;
const ScheduledJobOperation = __importStar(require("./scheduled-job-operation"));
exports.ScheduledJobOperation = ScheduledJobOperation.ScheduledJobOperation;
const ScheduledJobSummary = __importStar(require("./scheduled-job-summary"));
exports.ScheduledJobSummary = ScheduledJobSummary.ScheduledJobSummary;
const SearchSoftwareSourceModuleStreamsDetails = __importStar(require("./search-software-source-module-streams-details"));
exports.SearchSoftwareSourceModuleStreamsDetails = SearchSoftwareSourceModuleStreamsDetails.SearchSoftwareSourceModuleStreamsDetails;
const SearchSoftwareSourceModulesDetails = __importStar(require("./search-software-source-modules-details"));
exports.SearchSoftwareSourceModulesDetails = SearchSoftwareSourceModulesDetails.SearchSoftwareSourceModulesDetails;
const SearchSoftwareSourcePackageGroupsDetails = __importStar(require("./search-software-source-package-groups-details"));
exports.SearchSoftwareSourcePackageGroupsDetails = SearchSoftwareSourcePackageGroupsDetails.SearchSoftwareSourcePackageGroupsDetails;
const SoftwarePackage = __importStar(require("./software-package"));
exports.SoftwarePackage = SoftwarePackage.SoftwarePackage;
const SoftwarePackageCollection = __importStar(require("./software-package-collection"));
exports.SoftwarePackageCollection = SoftwarePackageCollection.SoftwarePackageCollection;
const SoftwarePackageDependency = __importStar(require("./software-package-dependency"));
exports.SoftwarePackageDependency = SoftwarePackageDependency.SoftwarePackageDependency;
const SoftwarePackageFile = __importStar(require("./software-package-file"));
exports.SoftwarePackageFile = SoftwarePackageFile.SoftwarePackageFile;
const SoftwarePackageSummary = __importStar(require("./software-package-summary"));
exports.SoftwarePackageSummary = SoftwarePackageSummary.SoftwarePackageSummary;
const SoftwarePackagesDetails = __importStar(require("./software-packages-details"));
exports.SoftwarePackagesDetails = SoftwarePackagesDetails.SoftwarePackagesDetails;
const SoftwareSource = __importStar(require("./software-source"));
exports.SoftwareSource = SoftwareSource.SoftwareSource;
const SoftwareSourceAvailability = __importStar(require("./software-source-availability"));
exports.SoftwareSourceAvailability = SoftwareSourceAvailability.SoftwareSourceAvailability;
const SoftwareSourceCollection = __importStar(require("./software-source-collection"));
exports.SoftwareSourceCollection = SoftwareSourceCollection.SoftwareSourceCollection;
const SoftwareSourceDetails = __importStar(require("./software-source-details"));
exports.SoftwareSourceDetails = SoftwareSourceDetails.SoftwareSourceDetails;
const SoftwareSourceSummary = __importStar(require("./software-source-summary"));
exports.SoftwareSourceSummary = SoftwareSourceSummary.SoftwareSourceSummary;
const SoftwareSourceType = __importStar(require("./software-source-type"));
exports.SoftwareSourceType = SoftwareSourceType.SoftwareSourceType;
const SoftwareSourceVendorCollection = __importStar(require("./software-source-vendor-collection"));
exports.SoftwareSourceVendorCollection = SoftwareSourceVendorCollection.SoftwareSourceVendorCollection;
const SoftwareSourceVendorSummary = __importStar(require("./software-source-vendor-summary"));
exports.SoftwareSourceVendorSummary = SoftwareSourceVendorSummary.SoftwareSourceVendorSummary;
const SoftwareSourcesDetails = __importStar(require("./software-sources-details"));
exports.SoftwareSourcesDetails = SoftwareSourcesDetails.SoftwareSourcesDetails;
const SortOrder = __importStar(require("./sort-order"));
exports.SortOrder = SortOrder.SortOrder;
const SwitchModuleStreamOnManagedInstanceDetails = __importStar(require("./switch-module-stream-on-managed-instance-details"));
exports.SwitchModuleStreamOnManagedInstanceDetails = SwitchModuleStreamOnManagedInstanceDetails.SwitchModuleStreamOnManagedInstanceDetails;
const SynchronizeMirrorsDetails = __importStar(require("./synchronize-mirrors-details"));
exports.SynchronizeMirrorsDetails = SynchronizeMirrorsDetails.SynchronizeMirrorsDetails;
const TargetResourceEntityType = __importStar(require("./target-resource-entity-type"));
exports.TargetResourceEntityType = TargetResourceEntityType.TargetResourceEntityType;
const UpdatablePackageCollection = __importStar(require("./updatable-package-collection"));
exports.UpdatablePackageCollection = UpdatablePackageCollection.UpdatablePackageCollection;
const UpdateAllPackagesOnManagedInstanceGroupDetails = __importStar(require("./update-all-packages-on-managed-instance-group-details"));
exports.UpdateAllPackagesOnManagedInstanceGroupDetails = UpdateAllPackagesOnManagedInstanceGroupDetails.UpdateAllPackagesOnManagedInstanceGroupDetails;
const UpdateAllPackagesOnManagedInstancesInCompartmentDetails = __importStar(require("./update-all-packages-on-managed-instances-in-compartment-details"));
exports.UpdateAllPackagesOnManagedInstancesInCompartmentDetails = UpdateAllPackagesOnManagedInstancesInCompartmentDetails.UpdateAllPackagesOnManagedInstancesInCompartmentDetails;
const UpdateLifecycleEnvironmentDetails = __importStar(require("./update-lifecycle-environment-details"));
exports.UpdateLifecycleEnvironmentDetails = UpdateLifecycleEnvironmentDetails.UpdateLifecycleEnvironmentDetails;
const UpdateLifecycleStageDetails = __importStar(require("./update-lifecycle-stage-details"));
exports.UpdateLifecycleStageDetails = UpdateLifecycleStageDetails.UpdateLifecycleStageDetails;
const UpdateManagedInstanceDetails = __importStar(require("./update-managed-instance-details"));
exports.UpdateManagedInstanceDetails = UpdateManagedInstanceDetails.UpdateManagedInstanceDetails;
const UpdateManagedInstanceGroupDetails = __importStar(require("./update-managed-instance-group-details"));
exports.UpdateManagedInstanceGroupDetails = UpdateManagedInstanceGroupDetails.UpdateManagedInstanceGroupDetails;
const UpdateManagementStationDetails = __importStar(require("./update-management-station-details"));
exports.UpdateManagementStationDetails = UpdateManagementStationDetails.UpdateManagementStationDetails;
const UpdateMirrorConfigurationDetails = __importStar(require("./update-mirror-configuration-details"));
exports.UpdateMirrorConfigurationDetails = UpdateMirrorConfigurationDetails.UpdateMirrorConfigurationDetails;
const UpdatePackagesOnManagedInstanceDetails = __importStar(require("./update-packages-on-managed-instance-details"));
exports.UpdatePackagesOnManagedInstanceDetails = UpdatePackagesOnManagedInstanceDetails.UpdatePackagesOnManagedInstanceDetails;
const UpdateProfileDetails = __importStar(require("./update-profile-details"));
exports.UpdateProfileDetails = UpdateProfileDetails.UpdateProfileDetails;
const UpdateProxyConfigurationDetails = __importStar(require("./update-proxy-configuration-details"));
exports.UpdateProxyConfigurationDetails = UpdateProxyConfigurationDetails.UpdateProxyConfigurationDetails;
const UpdateScheduledJobDetails = __importStar(require("./update-scheduled-job-details"));
exports.UpdateScheduledJobDetails = UpdateScheduledJobDetails.UpdateScheduledJobDetails;
const UpdateSoftwareSourceDetails = __importStar(require("./update-software-source-details"));
exports.UpdateSoftwareSourceDetails = UpdateSoftwareSourceDetails.UpdateSoftwareSourceDetails;
const UpdateTypes = __importStar(require("./update-types"));
exports.UpdateTypes = UpdateTypes.UpdateTypes;
const UpdateWorkRequestDetails = __importStar(require("./update-work-request-details"));
exports.UpdateWorkRequestDetails = UpdateWorkRequestDetails.UpdateWorkRequestDetails;
const VendorName = __importStar(require("./vendor-name"));
exports.VendorName = VendorName.VendorName;
const WorkRequest = __importStar(require("./work-request"));
exports.WorkRequest = WorkRequest.WorkRequest;
const WorkRequestDetails = __importStar(require("./work-request-details"));
exports.WorkRequestDetails = WorkRequestDetails.WorkRequestDetails;
const WorkRequestError = __importStar(require("./work-request-error"));
exports.WorkRequestError = WorkRequestError.WorkRequestError;
const WorkRequestErrorCollection = __importStar(require("./work-request-error-collection"));
exports.WorkRequestErrorCollection = WorkRequestErrorCollection.WorkRequestErrorCollection;
const WorkRequestLogEntry = __importStar(require("./work-request-log-entry"));
exports.WorkRequestLogEntry = WorkRequestLogEntry.WorkRequestLogEntry;
const WorkRequestLogEntryCollection = __importStar(require("./work-request-log-entry-collection"));
exports.WorkRequestLogEntryCollection = WorkRequestLogEntryCollection.WorkRequestLogEntryCollection;
const WorkRequestManagementStationDetails = __importStar(require("./work-request-management-station-details"));
exports.WorkRequestManagementStationDetails = WorkRequestManagementStationDetails.WorkRequestManagementStationDetails;
const WorkRequestOperationType = __importStar(require("./work-request-operation-type"));
exports.WorkRequestOperationType = WorkRequestOperationType.WorkRequestOperationType;
const WorkRequestResource = __importStar(require("./work-request-resource"));
exports.WorkRequestResource = WorkRequestResource.WorkRequestResource;
const WorkRequestResourceMetadataKey = __importStar(require("./work-request-resource-metadata-key"));
exports.WorkRequestResourceMetadataKey = WorkRequestResourceMetadataKey.WorkRequestResourceMetadataKey;
const WorkRequestSummary = __importStar(require("./work-request-summary"));
exports.WorkRequestSummary = WorkRequestSummary.WorkRequestSummary;
const WorkRequestSummaryCollection = __importStar(require("./work-request-summary-collection"));
exports.WorkRequestSummaryCollection = WorkRequestSummaryCollection.WorkRequestSummaryCollection;
const AvailablePackageSummary = __importStar(require("./available-package-summary"));
exports.AvailablePackageSummary = AvailablePackageSummary.AvailablePackageSummary;
const CreateCustomSoftwareSourceDetails = __importStar(require("./create-custom-software-source-details"));
exports.CreateCustomSoftwareSourceDetails = CreateCustomSoftwareSourceDetails.CreateCustomSoftwareSourceDetails;
const CreateGroupProfileDetails = __importStar(require("./create-group-profile-details"));
exports.CreateGroupProfileDetails = CreateGroupProfileDetails.CreateGroupProfileDetails;
const CreateLifecycleProfileDetails = __importStar(require("./create-lifecycle-profile-details"));
exports.CreateLifecycleProfileDetails = CreateLifecycleProfileDetails.CreateLifecycleProfileDetails;
const CreateSoftwareSourceProfileDetails = __importStar(require("./create-software-source-profile-details"));
exports.CreateSoftwareSourceProfileDetails = CreateSoftwareSourceProfileDetails.CreateSoftwareSourceProfileDetails;
const CreateStationProfileDetails = __importStar(require("./create-station-profile-details"));
exports.CreateStationProfileDetails = CreateStationProfileDetails.CreateStationProfileDetails;
const CreateVersionedCustomSoftwareSourceDetails = __importStar(require("./create-versioned-custom-software-source-details"));
exports.CreateVersionedCustomSoftwareSourceDetails = CreateVersionedCustomSoftwareSourceDetails.CreateVersionedCustomSoftwareSourceDetails;
const CustomSoftwareSource = __importStar(require("./custom-software-source"));
exports.CustomSoftwareSource = CustomSoftwareSource.CustomSoftwareSource;
const CustomSoftwareSourceSummary = __importStar(require("./custom-software-source-summary"));
exports.CustomSoftwareSourceSummary = CustomSoftwareSourceSummary.CustomSoftwareSourceSummary;
const GroupProfile = __importStar(require("./group-profile"));
exports.GroupProfile = GroupProfile.GroupProfile;
const InstalledPackageSummary = __importStar(require("./installed-package-summary"));
exports.InstalledPackageSummary = InstalledPackageSummary.InstalledPackageSummary;
const LifecycleProfile = __importStar(require("./lifecycle-profile"));
exports.LifecycleProfile = LifecycleProfile.LifecycleProfile;
const SoftwareSourceProfile = __importStar(require("./software-source-profile"));
exports.SoftwareSourceProfile = SoftwareSourceProfile.SoftwareSourceProfile;
const StationProfile = __importStar(require("./station-profile"));
exports.StationProfile = StationProfile.StationProfile;
const UpdatablePackageSummary = __importStar(require("./updatable-package-summary"));
exports.UpdatablePackageSummary = UpdatablePackageSummary.UpdatablePackageSummary;
const UpdateCustomSoftwareSourceDetails = __importStar(require("./update-custom-software-source-details"));
exports.UpdateCustomSoftwareSourceDetails = UpdateCustomSoftwareSourceDetails.UpdateCustomSoftwareSourceDetails;
const UpdateVendorSoftwareSourceDetails = __importStar(require("./update-vendor-software-source-details"));
exports.UpdateVendorSoftwareSourceDetails = UpdateVendorSoftwareSourceDetails.UpdateVendorSoftwareSourceDetails;
const VendorSoftwareSource = __importStar(require("./vendor-software-source"));
exports.VendorSoftwareSource = VendorSoftwareSource.VendorSoftwareSource;
const VendorSoftwareSourceSummary = __importStar(require("./vendor-software-source-summary"));
exports.VendorSoftwareSourceSummary = VendorSoftwareSourceSummary.VendorSoftwareSourceSummary;
const VersionedCustomSoftwareSource = __importStar(require("./versioned-custom-software-source"));
exports.VersionedCustomSoftwareSource = VersionedCustomSoftwareSource.VersionedCustomSoftwareSource;
const VersionedCustomSoftwareSourceSummary = __importStar(require("./versioned-custom-software-source-summary"));
exports.VersionedCustomSoftwareSourceSummary = VersionedCustomSoftwareSourceSummary.VersionedCustomSoftwareSourceSummary;
//# sourceMappingURL=index.js.map