/**
 * Organizations API
 * Use the Organizations API to consolidate multiple OCI tenancies into an organization, and centrally manage your tenancies and organization resources. For more information, see [Organization Management Overview](/iaas/Content/General/Concepts/organization_management_overview.htm).
 * OpenAPI spec version: 20200801
 *
 *
 * NOTE: This class is auto generated by OracleSDKGenerator.
 * Do not edit the class manually.
 *
 * Copyright (c) 2020, 2023, Oracle and/or its affiliates.  All rights reserved.
 * This software is dual-licensed to you under the Universal Permissive License (UPL) 1.0 as shown at https://oss.oracle.com/licenses/upl or Apache License 2.0 as shown at http://www.apache.org/licenses/LICENSE-2.0. You may choose either license.
 */
/**
 * SKU information.
 */
export interface SubscriptionSku {
    /**
     * Stock keeping unit ID.
     */
    "sku": string;
    /**
     * Quantity of the stock units. Note: Numbers greater than Number.MAX_SAFE_INTEGER will result in rounding issues.
     */
    "quantity"?: number;
    /**
     * Description of the stock units.
     */
    "description"?: string;
    /**
     * Sales order line identifier.
     */
    "gsiOrderLineId"?: string;
    /**
     * Description of the covered product belonging to this SKU.
     */
    "licensePartDescription"?: string;
    /**
     * Base metric for billing the service.
     */
    "metricName"?: string;
    /**
     * Denotes if the SKU is considered as a parent or child.
     */
    "isBaseServiceComponent"?: boolean;
    /**
     * Denotes if an additional test instance can be provisioned by the SAAS application.
     */
    "isAdditionalInstance"?: boolean;
    /**
     * Date-time when the SKU was created.
     */
    "startDate"?: Date;
    /**
     * Date-time when the SKU ended.
     */
    "endDate"?: Date;
}
export declare namespace SubscriptionSku {
    function getJsonObj(obj: SubscriptionSku): object;
    function getDeserializedJsonObj(obj: SubscriptionSku): object;
}
